Bug 503683 - The panel encountered a problem while loading "OAFIID:TimerApplet".
The panel encountered a problem while loading "OAFIID:TimerApplet".
Status: CLOSED DUPLICATE of bug 503707
Product: Fedora
Classification: Fedora
Component: gnome-applet-timer (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 03:22 EDT by Bruce Brackbill
Modified: 2009-06-02 07:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 07:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Brackbill 2009-06-02 03:22:17 EDT
To resolve dependencies for Pitivi 0.13.1 I installed the following.  Some are from Testing and others are from koji:

Jun 01 22:50:50 Installed: gnonlin-0.10.11-1.fc11.i586
Jun 01 23:17:59 Updated: gstreamer-tools-0.10.23-1.fc11.i586
Jun 01 23:18:02 Updated: gstreamer-0.10.23-1.fc11.i586
Jun 01 23:32:41 Updated: gstreamer-python-0.10.15-1.fc11.i586
Jun 01 23:34:09 Installed: goocanvas-0.13-2.fc11.i586
Jun 01 23:34:09 Installed: python-zope-filesystem-1-3.fc11.i586
Jun 01 23:34:11 Installed: python-setuptools-0.6c9-3.fc11.noarch
Jun 01 23:34:12 Installed: python-zope-interface-3.5.1-2.fc11.i586
Jun 01 23:34:13 Installed: pygoocanvas-0.13.1-2.fc11.i586
Jun 01 23:34:18 Installed: pitivi-0.13.1-1.2.fc11.noarch

As soon as I rebooted I now get the following error:
The panel encountered a problem while loading "OAFIID:TimerApplet".

.xsession-errors gives me this:
** (gnome-panel:2062): WARNING **: panel-applet-frame.c:1288: failed to load applet OAFIID:TimerApplet:
System exception: IDL:Bonobo/GeneralError:1.0 : Child process did not give an error message, unknown failure occurred

gnome-applet-timer-2.1.2-2.fc11.i586
Comment 1 Christoph Wickert 2009-06-02 05:37:15 EDT
Was this a unique problem or is it reproducible? If so, how?
Comment 2 Bruce Brackbill 2009-06-02 06:06:51 EDT
Starting Pitivi was giving me the error:
/usr/lib/python2.6/site-packages/gst-0.10/gst/interfaces.so: undefined symbol: gst_navigation_command_get_type

It turned out that the errors were being caused from me not updating to gstreamer-plugins-base from updates-testing.

Once I updated to gstreamer-plugins-base-0.10.23-1.fc11.i586.rpm  Pitivi and the gnome-applet-timer started working.

Is this a dependency issue? Should the updates I made to gstreamer have failed until gstreamer-plugins-base-0.10.22-2.fc11 was updated to gstreamer-plugins-base-0.10.23-1.fc11.i586.rpm?
Comment 3 Christoph Wickert 2009-06-02 07:13:20 EDT
IMO yes, the plugins should use a versioned dependency, that's why I filed bug # 503707.

Closing this one now. Thanks for your report.

*** This bug has been marked as a duplicate of bug 503707 ***

Note You need to log in before you can comment on or make changes to this bug.